package domain

type AlibabaWdkMarketingItemdiscountQueryactivityPeriodConfig struct {
	/*
	   每天的那些时间段生效     */
	EveryDayPeriods *[]string `json:"every_day_periods,omitempty" `

	/*
	   一周的哪几天生效     */
	Weekdays *[]int64 `json:"weekdays,omitempty" `
}

func (s *AlibabaWdkMarketingItemdiscountQueryactivityPeriodConfig) SetEveryDayPeriods(v []string) *AlibabaWdkMarketingItemdiscountQueryactivityPeriodConfig {
	s.EveryDayPeriods = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityPeriodConfig) SetWeekdays(v []int64) *AlibabaWdkMarketingItemdiscountQueryactivityPeriodConfig {
	s.Weekdays = &v
	return s
}
